Bug 1590493 (CVE-2017-7762) - CVE-2017-7762 Mozilla: address bar username and password spoofing in reader mode
Summary: CVE-2017-7762 Mozilla: address bar username and password spoofing in reader mode
Status: NEW
Alias: CVE-2017-7762
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170420,repor...
Keywords: Security
Depends On: 1590495 1590694 1590696 1590697 1591001
Blocks: 1590497
TreeView+ depends on / blocked
 
Reported: 2018-06-12 16:58 UTC by Laura Pardo
Modified: 2018-06-28 16:19 UTC (History)
5 users (show)

Fixed In Version: firefox 54
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2112 None None None 2018-06-28 16:18 UTC
Red Hat Product Errata RHSA-2018:2113 None None None 2018-06-28 16:19 UTC

Description Laura Pardo 2018-06-12 16:58:17 UTC
A flaw was found in Firefox versions before 54. When entered directly, Reader Mode did not strip the username and password section of URLs displayed in the address bar. This can be used for spoofing the domain of the current page.


References:
https://bugzilla.mozilla.org/show_bug.cgi?id=1358248
https://www.mozilla.org/en-US/security/advisories/mfsa2017-15/

Patch:
https://bugzilla.mozilla.org/attachment.cgi?id=8868506&action=diff

Comment 3 Scott Gayou 2018-06-13 21:15:18 UTC
Statement:

Red Hat Product Security has rated this issue as having a security impact of Moderate, and a future update may address this flaw.

Comment 6 Doran Moppert 2018-06-28 05:58:13 UTC
External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-15/

Comment 7 errata-xmlrpc 2018-06-28 16:18:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2112 https://access.redhat.com/errata/RHSA-2018:2112

Comment 8 errata-xmlrpc 2018-06-28 16:19:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2113 https://access.redhat.com/errata/RHSA-2018:2113


Note You need to log in before you can comment on or make changes to this bug.